Template v1.0.0
Get Templates
GET
https://my.sitebay.org/f/api/v1/template
Returns a list of ready-made template sites. SiteBot enabled.
Authorizations
| OAuth2PasswordBearer | |
| APIKeyCookie |
Query Parameters
| page |
Page number |
| size |
Page size |
Response Samples
{
"count": null,
"limit": null,
"next": null,
"offset": null,
"previous": null,
"results": [
{
"approved": null,
"created_at": null,
"description": null,
"id": null,
"is_public": null,
"name": null,
"plugins": null,
"readme": null,
"tag": null,
"url": null,
"user_id": null
}
]
}{
"detail": [
{
"loc": [
null
],
"msg": null,
"type": null
}
]
}Responses
Successful Response
count Required | integer | ||||||||||||||||||||||
limit Required | integer
>=
1 | ||||||||||||||||||||||
next Required | | ||||||||||||||||||||||
offset Required | integer
>=
0 | ||||||||||||||||||||||
previous Required | | ||||||||||||||||||||||
results Required | array
of objects
|
Validation Error
detail | array
of objects
|
Create Template
POST
https://my.sitebay.org/f/api/v1/template
Create a new template by uploading a GitHub repo containing a wpress file
Authorizations
| OAuth2PasswordBearer | |
| APIKeyCookie |
Query Parameters
| create_static_site |
|
Request Body Schema
description Required | string |
fqdn | |
is_public Required | boolean |
tag Required | stringEnum:
business
blog
portfolio
other |
theme | |
url Required | string |
Response Samples
{
"approved": null,
"created_at": null,
"description": null,
"id": null,
"is_public": null,
"name": null,
"plugins": null,
"readme": null,
"tag": null,
"url": null,
"user_id": null
}{
"detail": [
{
"loc": [
null
],
"msg": null,
"type": null
}
]
}Responses
Successful Response
approved Required | boolean |
created_at Required | string<date-time> |
description Required | string |
id Required | string<uuid4> |
is_public | |
name Required | string |
plugins | |
readme | |
tag Required | stringEnum:
business
blog
portfolio
other |
url Required | string<uri>
1..2083
characters |
user_id | |
Validation Error
detail | array
of objects
|
Delete Template
DELETE
https://my.sitebay.org/f/api/v1/template/{template_name}
Delete your template
Authorizations
| OAuth2PasswordBearer | |
| APIKeyCookie |
Query Parameters
| template_name |
|
Response Samples
{}{
"detail": [
{
"loc": [
null
],
"msg": null,
"type": null
}
]
}Responses
Successful Response
Validation Error
detail | array
of objects
|
Get Template by name
GET
https://my.sitebay.org/f/api/v1/template/{template_name}
Get details of a ready-made template sites by its name
Authorizations
Query Parameters
| template_name |
|
Response Samples
{
"approved": null,
"created_at": null,
"description": null,
"id": null,
"is_public": null,
"name": null,
"plugins": null,
"readme": null,
"tag": null,
"url": null,
"user_id": null
}{
"detail": [
{
"loc": [
null
],
"msg": null,
"type": null
}
]
}Responses
Successful Response
approved Required | boolean |
created_at Required | string<date-time> |
description Required | string |
id Required | string<uuid4> |
is_public | |
name Required | string |
plugins | |
readme | |
tag Required | stringEnum:
business
blog
portfolio
other |
url Required | string<uri>
1..2083
characters |
user_id | |
Validation Error
detail | array
of objects
|
Update Template
PATCH
https://my.sitebay.org/f/api/v1/template/{template_name}
Update an existing template using its name
Authorizations
| OAuth2PasswordBearer | |
| APIKeyCookie |
Query Parameters
| template_name |
|
| update_git |
|
Request Body Schema
description | |
is_public | |
tag | |
url | |
Response Samples
{
"approved": null,
"created_at": null,
"description": null,
"id": null,
"is_public": null,
"name": null,
"plugins": null,
"readme": null,
"tag": null,
"url": null,
"user_id": null
}{
"detail": [
{
"loc": [
null
],
"msg": null,
"type": null
}
]
}Responses
Successful Response
approved Required | boolean |
created_at Required | string<date-time> |
description Required | string |
id Required | string<uuid4> |
is_public | |
name Required | string |
plugins | |
readme | |
tag Required | stringEnum:
business
blog
portfolio
other |
url Required | string<uri>
1..2083
characters |
user_id | |
Validation Error
detail | array
of objects
|
